import tkinter as t
import random as r

class Ball:
    global speed
    def __init__(self,x,y,radius,dx,dy,speed,color):
        self.x=x
        self.y=y
        self.radius=radius
        self.dx=dx
        self.dy=dy
        self.speed=speed
        self.color=color
        self.ball=None

    def move(self, canvas):
        canvas.delete(self.ball)
        self.x=self.x+self.dx
        self.y=self.y+self.dy
        self.ball=canvas.create_oval(self.x-self.radius,self.y-self.radius,
                    self.x+self.radius,self.y+self.radius,
                    fill=self.color,width=0)
        if self.x>=canvas.winfo_width():
            self.dx=-self.speed
        if self.x<=0:
            self.dx=+self.speed
        if self.y>= canvas.winfo_height():
            self.dy=-self.speed
        if self.y<=0:
            self.dy=+self.speed

root=t.Tk()
root.geometry("600x400")

canvas=t.Canvas(root, width=600, height=400, bg="white")
canvas.place(x=0,y=0)

balls=[]
NoB=r.randint(3,10)
total=0
for i in range(NoB):
    X=r.randint(0,6)*100
    Y=r.randint(0,4)*100
    R=r.randint(4,10)*5
    Speed=r.randint(1,10)
    C=["#"+''.join([r.choice('0123456789ABCDEF') for j in range(6)])]
    balls.append(Ball(X,Y,R,Speed,Speed,Speed,C))
    total=total+1

def loop():
    global speed
    for b in balls:
      b.move(canvas)
    root.after(10, loop)

root.after(10,loop)
root.mainloop()